{% load crispy_forms_filters %}
{% load crispy_forms_tags %}
{% load static %}

<!DOCTYPE html>
<head>
    <meta charset="UTF-8"/>

    <title>{% block pagetitle %}{% endblock %}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no"/>
    <link rel="stylesheet" href="{% static '/bootstrap/css/bootstrap.min.css' %}"/>
    <link rel="stylesheet" href="{% static '/css/main.css' %}"/>
    <link rel="stylesheet" href="{% static '/css/custom.css' %}"/>

    <script type="text/javascript">
        var user = '{{ request.user }}'

        function getToken(name) {
        var cookieValue = null;
        if (document.cookie && document.cookie !== '') {
            var cookies = document.cookie.split(';');
            for (var i = 0; i < cookies.length; i++) {
                var cookie = cookies[i].trim();
                if (cookie.substring(0, name.length + 1) === (name + '=')) {
                    cookieValue = decodeURIComponent(cookie.substring(
                        name.length + 1));
                    break;
                }
            }
        }
        return cookieValue;
    }

    var csrftoken = getToken(
        'csrftoken');
    </script>

    <noscript>
        <link rel="stylesheet" href="{% static '/css/noscript.css' %}/"/>
    </noscript>

</head>
<body class="is-preload">

<!-- Wrapper -->
<div id="wrapper">

    {# Header #}
    {% block header %}
        <header id="header">
            <div class="inner">
                <!-- Logo -->
                <a href="{% url 'shop:home' %}" class="logo">
                    <span class="fa fa-book"></span> <span class="title">Books Online Store Website</span>
                </a>
                </a>
            </div>

            <!-- Nav -->
            <nav>
                <ul>
                    {% if not user.is_authenticated %}
                        <li><a class="btn btn-warning" href="{% url 'users:login' %}">Login</a></li>
                        <li><a class="btn btn-warning" href="{% url 'users:signup' %}">Sign Up</a></li>
                    {% else %}
                        <li><a class="btn btn-warning" href="{% url 'users:logout' %}">Logout</a></li>
                    {% endif %}
                    <li><a href="#menu">Menu</a></li>
                    <div class="form-inline my-2 my-lg-0">
                        <a href="{% url 'orders:cart' %}">
                            <img id="cart-icon" src="{% static 'images/cart.png' %}">
                        </a>
                        <p id="cart-total">{{ cartItems }}</p>
                    </div>
                </ul>
            </nav>
        </header>
    {% endblock header %}

    <!-- Menu -->
    {% block menu %}
        <nav id="menu" class="header-nav">
            <h2>Menu</h2>
            <ul>
                <li><a href="{% url 'shop:home' %}" class="active">Home</a></li>
                <li>

                    <span class="dropdown-toggle">Categories</span>
                    {#        CATEGORY MENU        #}
                    <ul>
                        {% for category in categories %}
                            <a href="{% url 'shop:product_list' category_slug=category.slug %} ">{{ category.title }}</a>
                        {% endfor %}
                    </ul>
                </li>

                <li><a href="{% url 'orders:checkout' %}">Checkout</a></li>

                <li>
                    <span class="dropdown-toggle">About</span>
                    <ul>
                        <li><a href="{% url 'shop:about' %}">About Us</a></li>
                        <li><a href="{% url 'shop:testimonials' %}">Testimonials</a></li>
                        <li><a href="{% url 'shop:terms' %}">Terms</a></li>
                    </ul>
                </li>

                <li><a href="{% url 'shop:contact_us' %}">Contact Us</a></li>

                <li>
                    {% if user.is_authenticated %}
                        <span class="dropdown-toggle">Account Settings</span>
                        <ul>
                            <li><a href="{% url 'users:profile' %}">Profile</a></li>
                            <li><a href="">My Orders</a></li>
                            <li><a href="{% url 'users:profile_update' %}">Profile Update</a></li>
                        </ul>
                    {% endif %}
                </li>
            </ul>

        </nav>

    {% endblock menu %}


    {# Main block #}

    {% block main %}

    {% endblock main %}


    {% block footer %}
        {# Footer #}
        <footer id="footer">
            <div class="inner">
                {#                <section>#}
                {#                    <h2>Contact Us</h2>#}
                {#                <form action="{{ contact.urls.form }}" method="post" enctype="multipart/form-data">{% csrf_token %}#}
                {#                    <form action="" method="post" enctype="multipart/form-data">{% csrf_token %}#}
                {#                        <div class="fields">#}
                {#                            <div class="field half">#}
                {#                                {{ contact_form.first_name | as_crispy_field }}#}
                {#                            </div>#}
                {#                            <div class="field half">#}
                {#                                {{ contact_form.last_name | as_crispy_field }}#}
                {#                            </div>#}
                {#                            <div class="field half">#}
                {#                                {{ contact_form.email | as_crispy_field }}#}
                {#                            </div>#}
                {#                            <div class="field">#}
                {#                                {{ contact_form.subject | as_crispy_field }}#}
                {#                            </div>#}
                {#                            <div class="field">#}
                {#                                {{ contact_form.message | as_crispy_field }}#}
                {#                            </div>#}
                {##}
                {#                            <div class="field text-right">#}
                {#                                <label>&nbsp;</label>#}
                {##}
                {#                                <ul class="actions">#}
                {#                                    <li><input type="submit" value="Send Message" class="primary"/></li>#}
                {#                                </ul>#}
                {#                            </div>#}
                {#                        </div>#}
                {#                    </form>#}
                {#                </section>#}

                <section>

                    <h2>Contact Info</h2>
                    <ul class="alt">
                        {% for contact_ in contact %}
                            <li>
                                <span class="fa fa-envelope-o"></span>
                                <a href="{% url 'shop:contact_us' %}"> {{ contact_.email }}</a>
                            </li>
                            <li><span class="fa fa-phone"></span> {{ contact_.phone_no }}</li>
                            <li><span class="fa fa-map-pin"></span> {{ contact_.address }}</li>
                        {% endfor %}
                    </ul>

                    <h2>Follow Us</h2>

                    <ul class="icons">
                        <li>
                            <a href="https://twitter.com/" target="_blank"
                               class="icon style2 fa-twitter"><span class="label">Twitter</span></a>
                        </li>
                        <li>
                            <a href="https://www.facebook.com/" target="_blank"
                               class="icon style2 fa-facebook"><span class="label">Facebook</span></a>
                        </li>
                        <li>
                            <a href="https://www.instagram.com/" target="_blank"
                               class="icon style2 fa-instagram"><span class="label">Instagram</span></a>
                        </li>
                        <li>
                            <a href="https://www.linkedin.com/" target="_blank"
                               class="icon style2 fa-linkedin"><span class="label">LinkedIn</span></a>
                        </li>
                    </ul>
                </section>

                <ul class="copyright">
                    <li>Copyright © 2020 Company Name</li>
                    <li>Template by: <a href="https://www.phpjabbers.com/">PHPJabbers.com</a></li>
                </ul>
            </div>
        </footer>
    {% endblock footer %}

    {# Scripts #}
    <script src="{% static '/js/jquery.min.js' %}"></script>
    <script src="{% static '/bootstrap/js/bootstrap.bundle.min.js' %}"></script>
    <script src="{% static '/js/jquery.scrolly.min.js' %}"></script>
    <script src="{% static '/js/jquery.scrollex.min.js' %}"></script>
    <script src="{% static '/js/main.js' %}"></script>
    <script src="{% static '/js/custom.js' %}"></script>

    <script type="text/javascript" src="{% static '/js/cart.js' %}"></script>

    <script src='https://www.google.com/recaptcha/api.js'></script>

</div>
</body>
</html>